using System;
using System.Collections.Generic;
using System.Text;

namespace NewtonDynamics
{
	public enum EPlatformArchitecture
	{
		ForceHardware = 0,
		FloatingPointEnhancement = 1,
		BestHardwareSetting = 2,
	}

	public enum ESolverModel
	{
		ExactMode = 0,
		AdaptativeMode = 1,
		LinearMode_2Passes_ = 2,
		LinearMode_3Passes_ = 3,
		LinearMode_4Passes_ = 4,
		LinearMode_5Passes_ = 5,
		LinearMode_6Passes_ = 6,
		LinearMode_7Passes_ = 7,
		LinearMode_8Passes_ = 8,
		LinearMode_9Passes_ = 9,
	}

	public enum EFrictionModel
	{
		ExactModel = 0,
		AdaptativeModel = 1,
	}
}
