using System;
using System.Windows;
using System.Data;
using System.Xml;
using System.Configuration;

namespace WPFPhysics1
{
	/// <summary>
	/// Interaction logic for App.xaml
	/// </summary>

	public partial class App : System.Windows.Application
	{
		public App()
		{
			Dispatcher.UnhandledException += Dispatcher_UnhandledException;
		}

		void Dispatcher_UnhandledException( object sender, System.Windows.Threading.DispatcherUnhandledExceptionEventArgs e )
		{
			var ex = e.Exception;
			var message = "";

			while ( ex != null )
			{
				message += "\n  " + ex.Message;
				ex = ex.InnerException;
			}

			MessageBox.Show( string.Format( "An unhandled exception occurred; see Application log for details:{0}", message ) );
			e.Handled = false;
		}
	}
}