using System;
using System.Runtime.InteropServices;


namespace NewtonDynamics
{
	internal partial class Newton
	{
		[DllImport("Newton.dll")]
		internal static extern IntPtr NewtonCreateCompoundCollision(IntPtr pNewtonWorld,
			int pCount,
			[MarshalAs(UnmanagedType.LPArray, SizeConst = 300)]int[] pCollisionPrimitiveArray);

		[DllImport("Newton.dll")]
		internal static extern IntPtr NewtonCreateUserMeshCollision(IntPtr pNewtonWorld,
			[MarshalAs(UnmanagedType.LPArray, SizeConst = 3)]float[] pMinBox,
			[MarshalAs(UnmanagedType.LPArray, SizeConst = 3)]float[] pMaxBox,
			IntPtr pUserData,
			NewtonUserMeshCollisionCollide pCollideCallback,
			NewtonUserMeshCollisionRayHit pRayHitCallback,
			NewtonUserMeshCollisionDestroy pDestroyCallback);
	}
}
