using System;
using System.Runtime.InteropServices;


namespace NewtonDynamics
{
	internal partial class Newton
	{
		[DllImport("Newton.dll")]
		internal static extern void NewtonGetEulerAngle(
			[MarshalAs(UnmanagedType.LPArray, SizeConst = 16)]float[] pMatrix,
			[MarshalAs(UnmanagedType.LPArray, SizeConst = 3)]float[] pEulersAngles);

		[DllImport("Newton.dll")]
		internal static extern void NewtonSetEulerAngle(
			[MarshalAs(UnmanagedType.LPArray, SizeConst = 3)]float[] pEulersAngles,
			[MarshalAs(UnmanagedType.LPArray, SizeConst = 16)]float[] pMatrix);
	}
}
