using System;
using System.Runtime.InteropServices;


namespace NewtonDynamics
{
	internal partial class Newton
	{
		[DllImport("Newton.dll")]
		internal static extern IntPtr NewtonConstraintCreateBall(IntPtr pNewtonWorld,
			[MarshalAs(UnmanagedType.LPArray, SizeConst = 3)]float[] pPivotPoint,
			IntPtr pChildBody,
			IntPtr pParentBody);

		[DllImport("Newton.dll")]
		internal static extern void NewtonBallSetUserCallback(IntPtr pNewtonBall,
			NewtonBall pCallback);
	
		[DllImport("Newton.dll")]
		internal static extern void NewtonBallGetJointAngle(IntPtr pNewtonBall,
			[MarshalAs(UnmanagedType.LPArray, SizeConst = 3)]float[] pAngle);
	
		[DllImport("Newton.dll")]
		internal static extern void NewtonBallGetJointOmega(IntPtr pNewtonBall,
			[MarshalAs(UnmanagedType.LPArray, SizeConst = 3)]float[] pOmega);
	
		[DllImport("Newton.dll")]
		internal static extern void NewtonBallGetJointForce(IntPtr pNewtonBall,
			[MarshalAs(UnmanagedType.LPArray, SizeConst = 3)]float[] pForce);
	
		[DllImport("Newton.dll")]
		internal static extern void NewtonBallSetConeLimits(IntPtr pNewtonBall,
			[MarshalAs(UnmanagedType.LPArray, SizeConst = 3)]float[] pPin,
			float pMaxConeAngle, float pMaxTwistAngle);
	}
}
